Bug 252155 - Anaconda generates bad grub config for RAID
Anaconda generates bad grub config for RAID
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
http://forums.fedoraforum.org/forum/s...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-14 07:08 EDT by bob mckay
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:09:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bob mckay 2007-08-14 07:08:13 EDT
Description of problem:
I used the F7 install disk to upgrade an FC4 installation (installed as LVM over RAID). Anaconda gave a 
couple of warnings - can't remember in detail - that suggested that it was misunderstanding the disk 
configuration, but appeared to upgrade correctly. However it generated a bad GRUB configuration that 
refused to boot (error: "Filesystem type unknown, partition type 0xfd").

Version-Release number of selected component (if applicable):
Standard F7 install disk


How reproducible:
Too difficult to check, but I'd guess 100%


Steps to Reproduce:
1.Install FC4 on LVM over RAID
2.Upgrade to F7
3.Attempt to boot
  
Actual results:
Boot fails with 
 "Filesystem type unknown, partition type 0xfd"

Expected results:
 Boot succeeds

Additional info:
Anaconda generated:
device.map:
   (hd0) /dev/sda
   (hd1) /dev/sdb

grub.conf
   root (hd1,0)
   etc

(sda, sdb are the first and second raided disks)

I repaired this from the rpmsave versions
device.map
   (hd0) /dev/sda

grub.conf
   root (hd0,0)
   etc

The system then booted perfectly OK into F7. It appears that anaconda is picking up the second disk of 
a RAIDed pair as being a separate partition, and for some reason pointing the boot to it, instead of 
where it really lies.

This may well be the problem underlying a number of previous web discussions of RAID issues with 
installations of F6 and F7 (try googling "Filesystem type unknown, partition type 0xfd")
Comment 1 bob mckay 2007-08-25 10:18:23 EDT
Seems quite a few people are having problems that look very similar (see fedoraforum url)
Comment 2 Ian Mortimer 2007-09-24 22:08:43 EDT
The problem I've seen is it insists on installing grub in /dev/md0 instead of
the mbr of the primary drive (and doesn't offer the option to change it).  Fix
for kickstart installs is to add this to %post:

/sbin/grub-install /dev/sda
Comment 3 Bug Zapper 2008-05-14 09:58:31 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Andy Lindeberg 2008-06-03 17:26:10 EDT
Have you encountered the same problem in Fedora 9?
Comment 5 Bug Zapper 2008-06-16 22:09:06 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.